Skip to main content

GET /sales/quotes

GET 

/sales/quotes

GET /sales/quotes

Request​

Query Parameters

    id int64[]
    shopify_object_id int64[]
    stripe_object_id string[]
    woocommerce_order_id int64[]
    eshop_order_id int64[]
    payment_status string[]
    customer.id int64
    customer.business_name string
    customer.display_name string
    customer.reg_no string
    customer.vat_no string
    customer.tax_no string
    customer.address.name string
    customer.address.company string
    customer.address.address1 string
    customer.address.address2 string
    customer.address.postal_code string
    customer.address.city string
    customer.address.region string
    customer.address.country string

    Possible values: <= 2 characters

    customer.email string
    customer.preferred_locale string
    customer.phone string
    description string
    currency string
    transaction_type.id int64
    transaction_type.name string
    transaction_type.associated_payment_cards string[]
    from int32
    take int32
    search string
    sort string[]

Responses​

OK

Schema

    total int64nullable
    from int64nullable
    take int64nullable

    entities

    object[]

    nullable

  • Array [

  • id int64nullable
    uid uuidnullable
    created_at date-timenullable
    edited_at date-timenullable
    is_locked boolean
    total_amount doublenullable
    subtotal_amount doublenullable
    amount_paid doublenullable
    amount_due doublenullable
    total_items_amount doublenullable
    total_taxes_amount doublenullable
    total_taxes_rate doublenullable

    bank_account

    object

    id int32nullable
    account_number stringnullable

    billing_address

    object

    name stringnullable
    company stringnullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    region stringnullable
    country stringnullable

    Possible values: <= 2 characters

    counter_id int32nullable
    currency stringnullable

    Possible values: <= 3 characters

    customer

    object

    id int64nullable
    business_name stringnullable
    display_name stringnullable
    reg_no stringnullable
    vat_no stringnullable
    tax_no stringnullable

    address

    object

    name stringnullable
    company stringnullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    region stringnullable
    country stringnullable

    Possible values: <= 2 characters

    email stringnullable
    preferred_locale stringnullable
    phone stringnullable
    culture stringnullable
    date_issued datenullable
    date_taxable datenullable
    date_due datenullable

    delivery_condition

    object

    id int32nullable
    code stringnullable
    name_org stringnullable
    name_leg stringnullable
    name stringnullable
    no stringnullable
    notes stringnullable
    memo stringnullable

    org

    object

    name stringnullable
    reg_no stringnullable
    tax_no stringnullable
    vat_no stringnullable
    eori_no stringnullable

    address

    object

    name stringnullable
    company stringnullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    region stringnullable
    country stringnullable

    Possible values: <= 2 characters

    info_legal stringnullable

    config

    object

    logo stringnullable
    signature stringnullable
    website stringnullable
    email stringnullable
    phone stringnullable
    fb stringnullable
    insta stringnullable
    payment_reference stringnullable
    payment_info stringnullable

    payment_term

    object

    id int32nullable
    code stringnullable
    name_org stringnullable
    name_leg stringnullable
    name stringnullable
    precision int32

    Default value: 2

    rate_format stringnullable
    taxes_included boolean
    fx_rate doublenullable
    tax_fx_rate doublenullable

    shipping_address

    object

    name stringnullable
    company stringnullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    region stringnullable
    country stringnullable

    Possible values: <= 2 characters

    tax_nexus

    object

    id int32nullable
    code stringnullable
    currency stringnullable

    taxes

    object[]

    nullable

  • Array [

  • index int64nullable
    code stringnullable
    name stringnullable
    currency stringnullable
    rate_type stringnullable
    is_implicit boolean

    rates

    object[]

    nullable

  • Array [

  • rate double
    is_default boolean
  • ]

  • ]

  • jurisdiction

    object

    country stringnullable
    region stringnullable
    subregion stringnullable
    city stringnullable
    postal_code stringnullable
    registration_mode stringnullable
    template_layout stringnullable
    document_locale stringnullable

    type

    object

    id int32nullable
    name stringnullable
    associated_payment_cards string[]nullable
    payment_status stringnullable
    overdue_days int32nullable
    shopify_object_id int64nullable
    woocommerce_order_id int64nullable
    eshop_order_id int64nullable

    purchase_order

    object

    id int64nullable
    no stringnullable
    ext_id stringnullable
    url stringnullable
    payment_status stringnullable
    fulfillment_status stringnullable

    sales_order

    object

    id int64nullable
    no stringnullable
    ext_id stringnullable
    url stringnullable
    payment_status stringnullable
    fulfillment_status stringnullable

    items

    object[]

    nullable

  • Array [

  • id int64nullable
    title stringnullable
    description stringnullable
    qty double
    rate doublenullable
    rate_discounted doublenullable
    discount_explicit doublenullable
    discount_implicit doublenullable
    amount doublenullable
    total_taxes_amount doublenullable
    total_taxes_rate doublenullable
    shopify_line_id int64nullable
    stripe_object_id stringnullable
    woocommerce_line_id int64nullable
    eshop_line_id int64nullable
    sku stringnullable
    barcode stringnullable
    country_of_origin stringnullable
    harmonized_system_code stringnullable
    weight_grams doublenullable
    requires_shipping boolean

    item

    object

    id int64
    sku stringnullable
    name_org stringnullable
    name_leg stringnullable
    name stringnullable
    desc_org stringnullable
    desc_leg stringnullable
    desc stringnullable

    variant

    object

    id int64
    name stringnullable

    unit

    object

    id int32nullable
    code stringnullable
    unece_code stringnullable
    symbol_org stringnullable
    symbol_leg stringnullable
    symbol stringnullable
    name_org stringnullable
    name_leg stringnullable
    name stringnullable

    taxes

    object[]

    nullable

  • Array [

  • id int64nullable
    tax_rate doublenullable
    tax_amount doublenullable
    tax_amount_leg doublenullable
    tax_base doublenullable
    tax_base_leg doublenullable
    currency_leg stringnullable
    tax_index int32nullable
    tax_code stringnullable
    tax_name stringnullable
    rate_type stringnullable
  • ]

  • ]

  • taxes

    object[]

    nullable

  • Array [

  • id int64nullable
    tax_rate doublenullable
    tax_amount doublenullable
    tax_amount_leg doublenullable
    tax_base doublenullable
    tax_base_leg doublenullable
    currency_leg stringnullable
    tax_index int32nullable
    tax_code stringnullable
    tax_name stringnullable
    rate_type stringnullable
  • ]

  • shipping_charges

    object[]

    nullable

  • Array [

  • id int64nullable
    title stringnullable
    amount doublenullable
    discount_implicit doublenullable
    shopify_line_id int64nullable
    stripe_object_id stringnullable
    woocommerce_line_id int64nullable
    eshop_line_id int64nullable

    taxes

    object[]

    nullable

  • Array [

  • id int64nullable
    tax_rate doublenullable
    tax_amount doublenullable
    tax_amount_leg doublenullable
    tax_base doublenullable
    tax_base_leg doublenullable
    currency_leg stringnullable
    tax_index int32nullable
    tax_code stringnullable
    tax_name stringnullable
    rate_type stringnullable
  • ]

  • ]

  • discounts

    object[]

    nullable

  • Array [

  • title stringnullable
    amount double
    value doublenullable
    value_type stringnullable
    allocation_method stringnullable
    target_type stringnullable
  • ]

  • urls

    object[]

    nullable

  • Array [

  • token stringnullable
    expire_at date-timenullable
    url stringnullable
  • ]

  • ]

  • aggregations undefined[]nullable
Loading...